<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    tools:background="@drawable/im_message_bubble_self_bg"
    tools:paddingBottom="@dimen/im_message_bubble_self_padding_bottom"
    tools:paddingEnd="@dimen/im_message_bubble_self_padding_end"
    tools:paddingStart="@dimen/im_message_bubble_self_padding_start"
    tools:paddingTop="@dimen/im_message_bubble_self_padding_top">

    <com.adealink.frame.image.view.NetworkImageView
        android:id="@+id/iv_img"
        android:layout_width="@dimen/im_message_bubble_max_width"
        android:layout_height="0dp"
        app:layout_constraintDimensionRatio="282:214"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundedCornerRadius="12dp" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF1D2129"
        android:textSize="16sp"
        android:visibility="gone"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toEndOf="@id/iv_img"
        app:layout_constraintStart_toStartOf="@id/iv_img"
        app:layout_constraintTop_toBottomOf="@id/iv_img"
        tools:text="Mobile Mobile Mobile Mobile Mobile Mobile Mobile Mobile "
        tools:visibility="visible" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_message_status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        app:layout_constraintEnd_toEndOf="@id/iv_img"
        app:layout_constraintTop_toBottomOf="@id/tv_text">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF86909C"
            android:textSize="11sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="9:10" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_read_status"
            android:layout_width="15dp"
            android:layout_height="14dp"
            android:layout_marginStart="4dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@id/tv_time"
            app:layout_constraintStart_toEndOf="@id/tv_time"
            app:layout_constraintTop_toTopOf="@id/tv_time"
            app:srcCompat="@drawable/im_session_message_read_ic"
            tools:visibility="visible" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>